Bug 1161222 - nfsidmap not setting key timeouts
Summary: nfsidmap not setting key timeouts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nfs-utils
Version: 7.2
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Steve Dickson
QA Contact: Yongcheng Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-06 16:48 UTC by Benjamin Coddington
Modified: 2019-10-10 09:28 UTC (History)
6 users (show)

Fixed In Version: nfs-utils-1.3.0-0.22.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 04:59:55 UTC
Target Upstream Version:


Attachments (Terms of Use)
The patch in the scratch build (851 bytes, patch)
2015-11-24 15:11 UTC, Steve Dickson
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2383 0 normal SHIPPED_LIVE nfs-utils bug fix and enhancement update 2016-11-03 13:53:02 UTC

Description Benjamin Coddington 2014-11-06 16:48:42 UTC
nfsidmap is unable to set the key timeouts, so id_resolv keys show up with 'perm' instead of the configured timeout in /proc/keys:

[root@dali ~]# cat /proc/keys
020d3315 I--Q--     3 perm 1f3f0000     0    -1 keyring   _uid.0: empty
0bf90e2d I--Q--     5 perm 1f3f0000     0     0 keyring   _ses: 1/4
1a94e9ce I--Q--     1 perm 1f3f0000     0    -1 keyring   _uid_ses.0: 1/4
1f77c0ad I--Q--     1 perm 3f050000     0     0 id_resolv gid:root@oracle.com: 2
249ea9d9 I--Q--     1 perm 3f050000     0     0 id_resolv uid:cel@oracle.com: 5
2944b451 I--Q--     1 perm 3f050000     0     0 id_resolv gid:users@oracle.com: 4
3641d485 I-----     1 perm 1f030000     0     0 keyring   .id_resolver: 4/4
3b10283e I--Q--     1 perm 3f050000     0     0 id_resolv uid:root@oracle.com: 2

Needs upstream:
7afda720e48d774ccc02 nfsidmap: Correct a failure to set key timeout values
f862ad1a94201df13b46 nfsidmap: set the correct DEFAULT_KEYRING string

http://marc.info/?t=141503700300003&r=1&w=2
http://marc.info/?l=linux-nfs&m=141503697917890&w=2
http://marc.info/?l=linux-nfs&m=141503698217892&w=2

Comment 10 Steve Dickson 2015-11-24 15:11:00 UTC
Created attachment 1098232 [details]
The patch in the scratch build

Comment 14 Yongcheng Yang 2016-05-27 02:03:58 UTC
Move to VERIFIED according to comment 13 and continue to run the automatic case.

Comment 16 errata-xmlrpc 2016-11-04 04:59:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2383.html


Note You need to log in before you can comment on or make changes to this bug.